Subject: Re: gunzip 1.3.5 error reading from stdin on Cygwin
From: "Vin Shelton" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 29 Oct 2006 08:14:27 -0500

(added cc: to zsh-workers.  The original message can be found at
http://www.mail-archive.com/[email-masked]/msg73620.html )

Vin Shelton wrote:
> After upgrading my system this morning, I'm getting an error running
> gunzip when it reads from stdin.
>
> Steps to reproduce:
>
>     wget ftp://ftp.gnu.org/gmp/gmp-4.2.1.tar.gz
>     gunzip < gmp-4.2.1.tar.gz >/dev/null
>
> This sequence yields the following errors:
>
>     gunzip: stdin: invalid compressed data--crc error
>
>     gunzip: stdin: invalid compressed data--length error
>
>
> Interestingly,
>
>     gunzip gmp-4.2.1.tar.gz
>
> works.

I've narrowed this down a little bit.  It only happens under zsh;
under bash, the recipe works without error.  Thinkging that for some
reason, stdin was being opened in a text mode, I tried setting
CYGWIN=binmode before starting zsh, but that had no effect on this
problem.

I believe the upgrade that broke this was the most recent
gettext/libintl upgrade.  In order to link against the most recent
libintl, I have rebuilt zsh from source (both from the cygwin source
tarball and also from the latest zsh sources in CVS), but still the
problem persists.

I would appreciate any help that can be offered.

Thanks,
  Vin

-- 
The Journey by Mary Oliver
http://www.poemhunter.com/p/m/poem.asp?poet=6771&poem=30506

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/